Subject: Re: context overflow

From: Cort Dougan <[email-masked]>
Date: Thu, 8 Feb 2001 14:28:55 -0700

} that the port is not using the PowerPC architecture as intended.  By not
} utilizing the hardware assists, the port is not performing at its optimal
} level.

I have data, and have written a paper with Victor and Paul, showing that we
get performance _increases_ by not using the PowerPC MMU architecture as
intended.  I think the PPC architecture intentions for the hash table and
TLB and very very poor and restrictive.  The 603 was a good step forward
but the 750, 7400 and follow-ons have been steps backwards from this good
start.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/